Bug 1572750 - iptraf-ng hogs the cpu if the interface gets removed [NEEDINFO]
Summary: iptraf-ng hogs the cpu if the interface gets removed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: iptraf-ng
Version: 8.3
Hardware: All
OS: All
high
high
Target Milestone: rc
: 8.3
Assignee: Andrea Claudi
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 1906097
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 17:46 UTC by Marcelo Ricardo Leitner
Modified: 2021-01-08 07:28 UTC (History)
6 users (show)

Fixed In Version: iptraf-ng-1.2.1-1.el8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-08 07:28:59 UTC
Type: Bug
Target Upstream Version:
bnater: needinfo? (todoleza)


Attachments (Terms of Use)

Description Marcelo Ricardo Leitner 2018-04-27 17:46:42 UTC
Description of problem:
If you leave iptraf-ng showing 'Detailed interface statistics' for a
given interface, such as tun0, and this interface dies (vpn went
down), iptraf-ng keep showing the stats screen, without updates (even
if the interface comes back up), and using 100% of a core.

Version-Release number of selected component (if applicable):
Reproduced it on the current git.

How reproducible:
Always, although sometimes it shows a red dialog warning, but still hogs the cpu.

Comment 1 Jan Kurik 2018-08-14 10:56:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:44:01 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Phil Cameron 2020-01-08 13:45:38 UTC
Fixed upstream
https://github.com/iptraf-ng/iptraf-ng/pull/7

Comment 4 Ben Cotton 2020-04-30 20:34:32 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Phil Cameron 2020-05-01 12:36:59 UTC
This is fixed upstream
https://github.com/iptraf-ng/iptraf-ng/pull/7

Comment 6 Phil Cameron 2020-07-22 15:00:57 UTC
Fixed in Fedora:
iptraf-ng-1.2.1-1.fc33.x86_64.rpm

Comment 10 Andrea Claudi 2020-12-10 12:16:49 UTC
Fixed upstream, will land in rhel-8.4 with bz#1906097. QE, can you please set qa_ack+ and an ITM as soon as bz#1906097 will progress to MODIFIED?

Comment 12 RHEL Program Management 2021-01-08 07:28:59 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.